Summary:	Open Source bandwidth measurement tool
Name:		bwping
Version:	1.12
Release:	1
License:	BSD License
Group:		Applications/Internet
URL:		http://bwping.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}/${version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	AIX-rpm >= 5.3.0.0
BuildRequires:	patch
Requires:	AIX-rpm >= 5.3.0.0

%description
BWPing is a tool to measure bandwidth and response times between two hosts
using Internet Control Message Protocol (ICMP) echo request/echo reply
mechanism. 
It does not require any special software on the remote host.  The only
requirement is the ability to respond on ICMP echo request messages.
Although BWPing does not require any special software on the remote host
(only the ability to respond on ICMP echo request messages), 
there are some special requirements to network infrastructure, local and
remote host performance:

* There should be no ICMP echo request/reply filtering on the network; this
  includes QoS mechanisms (which often affects ICMP) at any point in the
  testing path.
* Local host should have enough CPU resources to send ICMP echo request
  messages with given rate, and remote host should quickly respond on these
  messages and should have no ICMP bandwidth limiting turned on.

If some of these requirements are not satisfied then the measurement results
will be inadequate or fail completely.  In general, for testing bandwidth
where QoS is implemented, always test with traffic that matches the QoS class
to be tested.


%prep
%setup -q
%patch0


%build
export CC=cc_r

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/sbin
cd usr/sbin
ln -sf ../..%{_sbindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ChangeLog COPYING README AUTHORS
%{_sbindir}/*
%{_mandir}/man8/*
/usr/sbin/*


%changelog
* Mon Jul 15 2019 Michael Perzl <michael@perzl.org> - 1.12-1
- updated to version 1.12

* Mon Jul 15 2019 Michael Perzl <michael@perzl.org> - 1.11-1
- updated to version 1.11

* Wed Jan 30 2018 Michael Perzl <michael@perzl.org> - 1.10-1
- updated to version 1.10

* Mon Oct 17 2016 Michael Perzl <michael@perzl.org> - 1.9-1
- updated to version 1.9

* Mon May 02 2016 Michael Perzl <michael@perzl.org> - 1.8-1
- updated to version 1.8

* Wed Jul 03 2013 Michael Perzl <michael@perzl.org> - 1.7-1
- first version for AIX V5.1 and higher
